Skip to navigation

Delete newsletter list OAuth Scope: newsletter_lists:write

Delete a newsletter list belonging to a specific publication. The list and its subscriptions are removed in the background, so the list can still be returned until the deletion finishes.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
newsletterListIdstringRequiredformat: "^(nl_list_[0-9a-fA-F\-]+)$"
The prefixed ID of the newsletter list object

Response

Accepted

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error